$(document).ready( function () {
	// Premier survol : on remplace le <span> survolé par un lien <a>
	// Cette initialisation évite d'appliquer les remplacements quand des <a> classiques sont en place (on se limite aux <span> ici)
	$(".linktoggle").live('hover',function() {
		// on adapte la modification en <a> en fonction des éléments d'origine (<span>, <h2>, <div>...) qui portent la class ".linktoggle"
		ElmtToggle = $(this).get(0).tagName.toLowerCase();
		
		// on récupère les attributs existants dans la balise d'origine (rel, title, class, id...)
		var arrayAttrs = [];
		for (var i=0, attrs=$(this).get(0).attributes, nb=attrs.length; i < nb; i++){
			arrayAttrs.push(attrs.item(i).nodeName+'="'+attrs.item(i).nodeValue+'"');
		}
		Attributs = arrayAttrs.join(" "); // on enregistre tous les attributs et leurs valeurs dans une chaine --> variable globale
		
		var TexteSpan = $(this).text(); // on mémorise le texte contenu dans le lien
		var TexteTitle = $(this).attr('title'); // on enregistre le texte contenu dans l'attribut title --> href du lien
		
		// on utilise replaceWith() plutôt que html() car elle remplace totalement les balises, elles ne les ajoutent pas --> problèmes sinon !
		// on génère un appel vers une fonction qui va permettre de remettre le <span> quand il n'y a plus de survol
		$(this).replaceWith('<a href="'+TexteTitle+'" onmouseout="$(this).restoreSpan(ElmtToggle,Attributs);" class="newLink">'+TexteSpan+'<\/a>'); // on l'intègre dans des <a>
		return false;
    });

	// la fonction RestoreSpan remet le <span> initial en route (quand on quitte le survol du lien)
	// on doit appeler une fonction restoreA pour autoriser à nouveau la modification du <span> en <a>
	$.fn.restoreSpan = function(ElmtToggle,Attributs) {
		var TexteA = $(this).text(); // on enregistre le texte contenu dans le lien
		var TexteHREF = $(this).attr('href'); // on enregistre le texte contenu dans l'attribut href --> title du <span>

        $(this).replaceWith('<'+ElmtToggle+' title="'+TexteHREF+'" onmouseover="$(this).restoreA(ElmtToggle,Attributs);" '+Attributs+'>'+TexteA+'<\/'+ElmtToggle+'>'); // on le remet dans des <span>
	};
	// la fonction RestoreA replace le <a> désiré en cas de nouveau survol du lien
	// on appelle à nouveau la fonction restoreSpan pour retourner à l'état de départ
	$.fn.restoreA = function(ElmtToggle,Attributs) {
		var TexteSpan = $(this).text(); // on enregistre le texte contenu dans le lien
		var TexteTitle = $(this).attr('title'); // on enregistre le texte contenu dans l'attribut href --> title du <span>
		
        $(this).replaceWith('<a href="'+TexteTitle+'" onmouseout="$(this).restoreSpan(ElmtToggle,Attributs);" class="newLink">'+TexteSpan+'<\/a>'); // on l'intègre dans des <a>
	};
});